// Knife.cpp: implementation of the Knife class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "Texture.h"
#include "Sprite.h"
#include "Knife.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

Knife::Knife()
{

}

Knife::~Knife()
{

}

int Knife::Move(float xPos, float yPos)
{
	if(!sprite.visible)
	{
		return 0;
	}
	if(xSpeed > 0)
	{
		sprite.texture.uMax = -1;
	}else{
		sprite.texture.uMax = 1;
	}
	sprite.rotation += m * 360.0f;
	sprite.xPos += xSpeed * m;
	sprite.yPos += ySpeed * m;
	if((sprite.xPos - xPos)*(sprite.xPos - xPos) + 
		(sprite.yPos - yPos)*(sprite.yPos - yPos) < 121.0f)
	{
		sprite.visible = false;
		return 3;
	}
	if(sprite.xPos > 105 || sprite.xPos < -105 ||
		sprite.yPos > 105 || sprite.yPos < -105)
	{
		sprite.visible = false;
	}
	return 0;
}

void Knife::Setup()
{
	sprite.texture = texture;
	sprite.width = 11.5f;
	sprite.height = 10.0f;
}

int Knife::GetType()
{
	return 128;
}
