// LevelHandler.h: interface for the LevelHandler class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_LEVELHANDLER_H__17DF3D61_2B82_11DA_A3AA_00C049EEF779__INCLUDED_)
#define AFX_LEVELHANDLER_H__17DF3D61_2B82_11DA_A3AA_00C049EEF779__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "EventHandler.h"
#include "Sprite.h"	// Added by ClassView
#include "Texture.h"	// Added by ClassView
#include "TextRenderer.h"	// Added by ClassView

class Monster;
class Ninja;
class HealthBox;
class TextRenderer;

#define START_HP 30

class LevelHandler : public EventHandler  
{
public:
	void SaveTo(string sFile);
	void Update();
	void Initialize();
	void OnKeys(bool keys[256]);
	void LoadLevel(int level);
	void Render();
	LevelHandler();
	virtual ~LevelHandler();
	int hp;
	int nLevel;
	int nPoints;
	bool bText;
	
protected:
	bool bEnd;
	Texture knifeTex;
	TextRenderer storyText;
	Texture healthBox;
	Sprite dead;
	bool bDead;
	Sprite hpbar;
	Texture cabbageTex[3];
	Texture ninjaTex[4];
	Texture zombieTex;
	Texture zombieAttack[5];
	Texture pirateTex[1];
	Texture robotTex;
	Texture fire;
	Texture flameThrower;
	bool bWin;
	bool bLevelLoaded;
	float winTimer;
	int nPointsPerPepper;
	Texture playerTex;
	Texture pepTex;
	int nPeppers;
	Sprite background;
	Sprite player;
	Camera cam;
	list<Monster*> missiles;
	vector<Sprite*> pepper;
	vector<Monster*> monsters;
	vector<Ninja*> ninjas;
	vector<HealthBox> hBoxes;
};

#endif // !defined(AFX_LEVELHANDLER_H__17DF3D61_2B82_11DA_A3AA_00C049EEF779__INCLUDED_)
