// MenuHandler.h: interface for the MenuHandler class.
//
//////////////////////////////////////////////////////////////////////

#ifndef MENU_HANDLER_H_INCLUDED
#define MENU_HANDLER_H_INCLUDED

#pragma once

#include "EventHandler.h"
#include "Sprite.h"	// Added by ClassView
class Sprite;
class LevelHandler;
class TextRenderer;

class MenuHandler : public EventHandler  
{
public:
	void OnKeyDown(int key);
	void OnMouseUp(bool lmb, bool rmb);
	void OnMouse(float x, float y);
	void LoadLevel(int level);
	void Initialize();
	void Render();
	MenuHandler();
	virtual ~MenuHandler();
	static Texture bkTex;
	LevelHandler* retLevel;

protected:
	int caretPos;
	string saveName;
	TextRenderer saveNameRenderer;
	bool bSaveGame;
	bool bInGame;
	Sprite saveGame;
	Sprite returnGame;
	Sprite story;
	Sprite quitGame;
	int focus;
	Sprite bar;
	Sprite loadGame;
	Sprite newGame;
	Camera cam;
	Sprite background;
};

#endif
