// WinHandler.cpp: implementation of the WinHandler class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "Sprite.h"
#include "Camera.h"
#include "Texture.h"
#include "Monster.h"
#include "Zombie.h"
#include "Ninja.h"
#include "Pirate.h"
#include "Robot.h"
#include "Knife.h"
#include "LevelHandler.h"
#include "MenuHandler.h"
#include "WinHandler.h"
#include "TransitionHandler.h"
#include "HealthBox.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

WinHandler::WinHandler()
{

}

WinHandler::~WinHandler()
{

}

void WinHandler::Initialize()
{
	float light[] = {1.0f, 1.0f, 1.0f, 1.0f};
	glLightModelfv(GL_LIGHT_MODEL_AMBIENT, light);
	glMaterialfv(GL_FRONT, GL_AMBIENT, light);

	balloons.texture.Load("Textures/win.png");
	balloons.width = 120;
	balloons.height = 80;
	balloons.zDepth = 10;
	balloons.yPos = 50;
	text.text = "Your final score was: ";

	char buf[256] = {0};
	itoa(points, buf, 10);
	text.text += buf;
	text.text += "\n\n";

	text.text += "Press Any Key to Continue\n";
	
	
	text.colour.Set((char)255,(char)255,(char)255,(char)255);

	credits.colour.Set((char)255,(char)255,(char)255,(char)255);
	credits.text = "Programming, Art, Story and Design by jikbar\n";
}

void WinHandler::OnKeyUp(int key)
{
	//Go to the main menu
	TransitionHandler* t = new TransitionHandler;
	MenuHandler* menu = new MenuHandler;
	menu->Initialize();
	menu->LoadLevel(1);
	t->BeginTransition(this, menu, 10);
	state = t;
}

void WinHandler::Render()
{
	glEnable(GL_LIGHTING);
	balloons.Render();
	glDisable(GL_LIGHTING);
	text.Render(-30, -10);
	credits.Render(-50, -80);
}
